View Issue Details

IDProjectCategoryView StatusLast Update
15075Bug reports[All Projects] Survey editingpublic2019-09-24 11:30
Reporterevently Assigned Tomarkusfluer  
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version4.0.0-RC1 
Target Version4.0.0-RC4Fixed in Version4.0.0-RC4 
Summary15075: Creating a new survey fails when the code editor is open
Description

When creating a new survey in 4.0.0-RC2 (can't select that version in the dropdown) and you switch to the source editor for the Description/Welcome/End message texts and don't switch back, clicking on 'Create' will fail and give the following error:

Uncaught ReferenceError: CKEDITOR is not defined
at HTMLTextAreaElement.<anonymous> (index.php?r=admin/survey/sa/newsurvey:1549)
at Function.each (jquery-3.1.1.min.js:2)
at a.fn.init.each (jquery-3.1.1.min.js:2)
at updateCKfields (index.php?r=admin/survey/sa/newsurvey:1547)
at HTMLFormElement.<anonymous> (index.php?r=admin/survey/sa/newsurvey:1581)
at HTMLFormElement.dispatch (jquery-3.1.1.min.js:3)
at HTMLFormElement.q.handle (jquery-3.1.1.min.js:3)
at Object.trigger (jquery-3.1.1.min.js:4)
at HTMLButtonElement.<anonymous> (jquery-3.1.1.min.js:4)
at Function.each (jquery-3.1.1.min.js:2)

If you edit in the source mode but switch back to WYSIWYG prior to clicking on Create it works fine

Steps To Reproduce

Click on create new survey, add a title, switch to the source code editor for any of the Description/Welcome/End message fields and click on create.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC2
I will donate to the project if issue is resolvedNo
BrowserChrome latest, Firefox latest
Database & DB-Version-
Server OS (if known)Local Macos
Webserver software & version (if known)Valet
PHP Version7.2

Activities

cdorin

cdorin

2019-07-26 16:29

manager   ~53025

Also have issues creating a survey while everything is on "source mode". Thanks for the report!

Issue History

Date Modified Username Field Change
2019-07-24 16:41 evently New Issue
2019-07-26 16:29 cdorin Note Added: 53025
2019-07-26 16:29 cdorin Assigned To => markusfluer
2019-07-26 16:29 cdorin Status new => assigned
2019-09-05 10:32 markusfluer Status assigned => resolved
2019-09-05 10:32 markusfluer Fixed in Version => 4.0.0-RC4
2019-09-05 10:32 markusfluer Resolution open => fixed
2019-09-24 11:30 c_schmitz Target Version => 4.0.0-RC4
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing